
Foreman - Bug #6000

on 1.5 hosts build on compute resources remain in "building" indefinitely

05/30/2014 01:01 PM - cristian falcas

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It seems that in the latest release of Foreman, machines are not moved from building state.

We have this in our cloud-init:

phone_home:

url: <%= foreman_url('built') %>

The URL is accessed at the end (we can see this in the foreman logs), but the host is never moved to "built" state.

Please let me know if you need any logs from our side.

Related issues:

Is duplicate of Foreman - Bug #5754: Cloud-init phone_home raise 500 error be... Closed 05/16/2014

History

#1 - 05/30/2014 01:11 PM - Dominic Cleal

- Status changed from New to Feedback

Can you try making this change to your cloud-init template?

https://github.com/theforeman/community-templates/commit/adc4761238bbf1a1a1fecb6f64772a2c19619bf8

#2 - 06/02/2014 10:15 AM - cristian falcas

Thank you, that fixed the issue.

#3 - 06/02/2014 10:20 AM - Dominic Cleal

- Is duplicate of Bug #5754: Cloud-init phone_home raise 500 error because of POST content added

#4 - 06/02/2014 10:21 AM - Dominic Cleal

- Status changed from Feedback to Duplicate
